%global gem_name compass-rails
%global rubyabi 1.9.1

Summary:       Integrate Compass into Rails 2.3 and up
Name:          rubygem-%{gem_name}
Version:       1.0.3
Release:       7%{?dist}
Group:         Development/Languages
License:       MIT
URL:           https://github.com/Compass/compass-rails
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:      rubygems
Requires:      rubygem(compass) >= 0.12.2
Requires:      rubygem(actionpack)
Requires:      rubygem(rails)
Requires:      rubygem(sass-rails)
%if 0%{?fedora} >= 19
Requires:      ruby(release)
BuildRequires: ruby(release)
%else
Requires:      ruby(abi) >= %{rubyabi}
BuildRequires: ruby(abi) >= %{rubyabi}
%endif
BuildRequires: rubygems
BuildRequires: rubygems-devel
# For tests
#BuildRequires: rubygem(test-unit)
#BuildRequires: rubygem(compass) >= 0.12.2
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
Integrate Compass into Rails 2.3 and up.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}

gem build %{gem_name}.gemspec
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Cleanup stuff
rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/.travis.yml
rm -f %{buildroot}%{gem_instdir}/*.gemspec
rm -rf %{buildroot}%{gem_instdir}/.yardoc
find %{buildroot} -iname .gitkeep -exec rm -f {} \;
chmod 0755 %{buildroot}%{gem_instdir}/Rakefile

%check
# Dont run tests until they get cleaned up, upstream
#pushd ./%{gem_instdir}
#testrb2 -Ilib test
#popd

%files
%doc %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/Appraisals
%{gem_instdir}/Gemfile
%{gem_instdir}/Guardfile
%{gem_instdir}/gemfiles

%changelog
* Wed Mar 13 2013 Troy Dawson <tdawson@redhat.com> - 1.0.3-7
- Fix to make it build/install on F19+

* Thu Feb 14 2013 Troy Dawson <tdawson@redhat.com> - 1.0.3-6
- Fix requires for 3.1+ rails versions (#901540)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 05 2012 Troy Dawson <tdawson@redhat.com> - 1.0.3-3
- removed Requires: ruby
- added gemfiles to doc
- comment out tests until upstream cleans them up

* Wed Dec 05 2012 Troy Dawson <tdawson@redhat.com> - 1.0.3-2
- Fixup spec file
- Added rubgem-compass for BuildRequires

* Tue Sep 11 2012 Troy Dawson <tdawson@redhat.com> - 1.0.3-1
- Initial package
